Index: Http.cpp
===================================================================
RCS file: /project/OSB/CVS_REPOSITORY/osbg/NRCit/src/Http.cpp,v
retrieving revision 1.18
diff -u -r1.18 Http.cpp
--- Http.cpp	2005/01/07 14:34:08	1.18
+++ Http.cpp	2005/01/31 10:53:15
@@ -45,10 +45,14 @@
 #include "HttpCurl.h"
 #endif
 
-#if !defined(HAVE_LIBCURL)
-#error Need curl.
+#if defined(HAVE_SOFIA_WE)
+#include "HttpSofia.h"
 #endif
 
+#if !(defined(HAVE_LIBCURL) || defined(HAVE_SOFIA_WE))
+#error Need curl of sofia.
+#endif
+
 
 class CombinerFactoryS : HttpFactoryS
 {
@@ -76,10 +80,15 @@
 CombinerFactoryS::CombinerFactoryS()
     :factories(0)
 {
-    
+
 #if defined(HAVE_LIBCURL)
     factories = g_list_append(factories, &CurlFactory());
 #endif    
+
+#if defined(HAVE_SOFIA_WE)
+    factories = g_list_append(factories, &SofiaFactory());
+#endif    
+
 }
 
 
Index: Makefile.am
===================================================================
RCS file: /project/OSB/CVS_REPOSITORY/osbg/NRCit/src/Makefile.am,v
retrieving revision 1.22
diff -u -r1.22 Makefile.am
--- Makefile.am	2005/01/07 14:34:08	1.22
+++ Makefile.am	2005/01/31 10:53:15
@@ -20,8 +20,14 @@
 cond_librsvg_sources =  
 endif
 
-EXTRA_DIST =  HttpCurl.cpp HttpCurl.h SVGImageRenderer.cpp SVGImageRenderer.h
+if USE_SOFIA
+cond_sofia_sources = HttpSofia.cpp HttpSofia.h
+else !USE_SOFIA
+cond_sofia_sources =
+endif
 
+EXTRA_DIST =  HttpCurl.cpp HttpCurl.h SVGImageRenderer.cpp SVGImageRenderer.h HttpSofia.cpp HttpSofia.h
+
 libnrcit_cpp_sources=\
 BridgeImpl.cpp \
 Http.cpp\
@@ -93,6 +99,7 @@
 	$(libnrcit_h_private_sources)\
 	$(cond_libcurl_sources)\
 	$(cond_librsvg_sources)\
+	$(cond_sofia_sources)\
 	$(NULL)
 
 libnrcitincludedir = $(includedir)/osb
@@ -103,4 +110,3 @@
 
 BUILT_SOURCES =	
 MAINTAINERCLEANFILES = $(BUILT_SOURCES) 
-
